Bug 524043 - dependency chain is a bit nutty
Summary: dependency chain is a bit nutty
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libproxy
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 16:55 UTC by Bill Nottingham
Modified: 2014-03-17 03:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-08 17:25:10 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2009-09-17 16:55:34 UTC
Description of problem:

Installing:
 libproxy                            x86_64   0.2.3-11.fc12                  rawhide    33 k
Installing for dependencies:
 ConsoleKit                          x86_64   0.3.1-2.fc12                   rawhide    75 k
 ConsoleKit-libs                     x86_64   0.3.1-2.fc12                   rawhide    17 k
 GConf2                              x86_64   2.27.0-1.fc12                  rawhide   828 k
 ORBit2                              x86_64   2.14.17-3.fc12                 rawhide   160 k
 alsa-lib                            x86_64   1.0.21-3.fc12                  rawhide   345 k
 atk                                 x86_64   1.27.90-1.fc12                 rawhide   169 k
 avahi                               x86_64   0.6.25-5.fc12                  rawhide   234 k
 avahi-glib                          x86_64   0.6.25-5.fc12                  rawhide    19 k
 bluecurve-cursor-theme              noarch   8.0.2-5.fc12                   rawhide   184 k
 cairo                               x86_64   1.8.8-3.fc12                   rawhide   288 k
 cups-libs                           x86_64   1:1.4.1-3.fc12                 rawhide   290 k
 dbus-x11                            x86_64   1:1.2.16-5.fc12                rawhide    37 k
 eggdbus                             x86_64   0.5-2                          rawhide    86 k
 enchant                             x86_64   1:1.5.0-3.fc12                 rawhide    47 k
 fedora-gnome-theme                  noarch   12.2-1.fc12                    rawhide    11 k
 fedora-icon-theme                   noarch   1.0.0-6.fc12                   rawhide   112 k
 fontconfig                          x86_64   2.7.3-1.fc12                   rawhide   175 k
 freetype                            x86_64   2.3.9-6.fc12                   rawhide   334 k
 gnome-icon-theme                    noarch   2.27.90-2.fc12                 rawhide   3.3 M
 gnome-themes                        noarch   2.27.92-1.fc12                 rawhide   1.2 M
 gnome-vfs2                          x86_64   2.24.1-9.fc12                  rawhide   649 k
 gnutls                              x86_64   2.8.3-1.fc12                   rawhide   326 k
 gtk-nodoka-engine                   x86_64   0.7.2-6.fc12                   rawhide    50 k
 gtk2                                x86_64   2.17.11-3.fc12                 rawhide   2.8 M
 gtk2-engines                        x86_64   2.18.2-5.fc12                  rawhide   255 k
 hal-libs                            x86_64   0.5.13-7.fc12                  rawhide    65 k
 hicolor-icon-theme                  noarch   0.10-7                         rawhide    39 k
 hunspell                            x86_64   1.2.8-12.fc12                  rawhide   170 k
 hunspell-en                         noarch   0.20090216-7.fc12              rawhide   353 k
 jasper-libs                         x86_64   1.900.1-12.fc12                rawhide   133 k
 libICE                              x86_64   1.0.6-1.fc12                   rawhide    50 k
 libIDL                              x86_64   0.8.13-2.fc12                  rawhide    79 k
 libSM                               x86_64   1.1.0-7.fc12                   rawhide    25 k
 libX11                              x86_64   1.2.99-5.20090805.fc12         rawhide   543 k
 libX11-common                       noarch   1.2.99-5.20090805.fc12         rawhide   163 k
 libXau                              x86_64   1.0.5-1.fc12                   rawhide    20 k
 libXcomposite                       x86_64   0.4.0-10.fc12                  rawhide    14 k
 libXcursor                          x86_64   1.1.10-1.fc12                  rawhide    30 k
 libXdamage                          x86_64   1.1.1-9.fc12                   rawhide    11 k
 libXext                             x86_64   1.0.99.4-3.fc12                rawhide    32 k
 libXfixes                           x86_64   4.0.3-8.fc12                   rawhide    15 k
 libXft                              x86_64   2.1.13-4.fc12                  rawhide    47 k
 libXi                               x86_64   1.2.99-11.20090825.fc12        rawhide    30 k
 libXinerama                         x86_64   1.0.99.1-1.fc12                rawhide    13 k
 libXrandr                           x86_64   1.3.0-3.fc12                   rawhide    29 k
 libXrender                          x86_64   0.9.4-7.fc12                   rawhide    27 k
 libXres                             x86_64   1.0.3-9.fc12                   rawhide    13 k
 libXt                               x86_64   1.0.6-3.fc12                   rawhide   164 k
 libbonobo                           x86_64   2.24.1-4.fc12                  rawhide   373 k
 libdaemon                           x86_64   0.13-3.fc12                    rawhide    26 k
 libglade2                           x86_64   2.6.4-3.fc12                   rawhide    57 k
 libgnome                            x86_64   2.27.5-1.fc12                  rawhide   440 k
 libjpeg                             x86_64   6b-46.fc12                     rawhide   128 k
 libnotify                           x86_64   0.4.5-3.fc12                   rawhide    33 k
 libpng                              x86_64   2:1.2.39-1.fc12                rawhide   161 k
 libproxy-bin                        x86_64   0.2.3-11.fc12                  rawhide   7.4 k
 libproxy-mozjs                      x86_64   0.2.3-11.fc12                  rawhide   9.9 k
 libproxy-python                     x86_64   0.2.3-11.fc12                  rawhide   7.5 k
 libsexy                             x86_64   0.1.11-11.fc12                 rawhide    41 k
 libtasn1                            x86_64   2.3-1.fc12                     rawhide   231 k
 libthai                             x86_64   0.1.12-2.fc12                  rawhide   168 k
 libtiff                             x86_64   3.8.2-15.fc12                  rawhide   265 k
 libutempter                         x86_64   1.1.5-4.fc12                   rawhide    22 k
 libwnck                             x86_64   2.27.92-1.fc12                 rawhide   294 k
 libxcb                              x86_64   1.4-1.fc12                     rawhide    89 k
 libxfce4util                        x86_64   4.6.1-2.fc12                   rawhide    84 k
 libxfcegui4                         x86_64   4.6.1-2.fc12                   rawhide   257 k
 mozilla-filesystem                  x86_64   1.9-5.fc12                     rawhide   4.6 k
 nodoka-filesystem                   noarch   0.3.90-4.fc12                  rawhide   4.8 k
 nodoka-metacity-theme               noarch   0.3.90-4.fc12                  rawhide   9.5 k
 notification-daemon                 x86_64   0.4.0-8.fc12                   rawhide    44 k
 notification-daemon-engine-nodoka   x86_64   0.1.0-10.fc12                  rawhide    26 k
 pango                               x86_64   1.25.4-2.1.fc12                rawhide   326 k
 pixman                              x86_64   0.16.0-1.fc12                  rawhide   127 k
 pkgconfig                           x86_64   1:0.23-9.fc12                  rawhide    68 k
 polkit                              x86_64   0.95-0.git20090913.2.fc12      rawhide   141 k
 sgml-common                         noarch   0.6.3-30.fc12                  rawhide    40 k
 shared-mime-info                    x86_64   0.60-4.fc12                    rawhide   169 k
 startup-notification                x86_64   0.10-2.fc12                    rawhide    35 k
 xcb-util                            x86_64   0.3.6-1.fc12                   rawhide    36 k
 xfce4-notifyd                       x86_64   0.1.0-3.fc12                   rawhide    56 k
 xfconf                              x86_64   4.6.1-2.fc12                   rawhide   126 k
 xml-common                          noarch   0.6.3-30.fc12                  rawhide   9.1 k
 xulrunner                           x86_64   1.9.1.3-1.fc12                 rawhide   7.2 M

Looks to be mainly because the main package requires the
test binary package and the mozjs bindings. Both of these
appear to be a bit specious.

Version-Release number of selected component (if applicable):

0.2.3-11

Comment 1 Nicolas Chauvet (kwizart) 2009-09-17 21:21:36 UTC
> Both of these appear to be a bit specious.

Yes and no, Actually we need a proxy pac provider in order to have libproxy to work, as described in http://code.google.com/p/libproxy/wiki/Features
The mains ones are mozjs or WebKit-gtk.

Now I agree that having proxy support and then using such big dependencies can be weird.

@Matthias
Does removing the requirement on libproxy-pac from libproxy will give you a reason to complain as the libsoup maintainer ?

Comment 2 Bill Nottingham 2009-09-17 21:55:55 UTC
Wouldn't the basic install just work from environment variables, and you install the xulrunner one conditional on xulrunner, the gnome one conditional on gnome, etc?

Comment 3 Matthias Clasen 2009-09-21 16:52:01 UTC
Do we need to add a proxy-pac-provider virtual provides and require that ?

On the other hand, if libproxy can offer some reduced functionality off envvars if no provider is present, then just dropping the deps would probably be fine...

Comment 4 Nicolas Chauvet (kwizart) 2009-09-24 21:56:13 UTC
(In reply to comment #3)
...
> On the other hand, if libproxy can offer some reduced functionality off envvars
> if no provider is present, then just dropping the deps would probably be
> fine...  
That's possible, but then the main interest of libproxy disappear.
Libproxy, to deal with Proxy Automatic Configuration (PAC), must have either xulrunner or webkit.
So the other way would be to have these last to requires libproxy (that would be a  circle dependency. One requiring the other at built time, and the other requiring the first at runtime).

I think it is easier to keep the libproxy-pac requirement removed. That will move the problem to how the default set of packages is choosen during installation.

BTW, there is a 0.3.0 update ready:
http://kwizart.fedorapeople.org/review/libproxy-0.3.0-1.fc12.src.rpm
There are some symbols removed, but no SO version bump.

Comment 5 Nicolas Chauvet (kwizart) 2009-11-08 17:25:10 UTC
The behaviour described in this bug was fixed in 0.2.3-12.fc12
libproxy 0.3.0 was updated in Rawhide for F-13, I will revert to 0.2.3 in cvs for F-12. (nothing from 0.3.0 was pushed in F-12).


Note You need to log in before you can comment on or make changes to this bug.